Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class CertReqMessages

`java.lang.Object
oracle.security.crypto.cmp.CertReqMessages`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CertReqMessages
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

CRMF top-level collection of `CertReqMsg` structures.

Constructor Summary
`CertReqMessages()` Create a new, empty `CertReqMessages`.
`CertReqMessages(CertReqMsg crm)` Create a new `CertReqMessages` with the specified `CertReqMsg`.
`CertReqMessages(java.io.InputStream is)`

Method Summary
`void` | `addCertReqMsg(CertReqMsg crm)` Add a `CertReqMsg` to this request message body.
`java.util.Vector` | `getCertReqMsgs()` Get the `CertReqMsg` items in this message body.
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertReqMessages

    public CertReqMessages()

  Create a new, empty `CertReqMessages`. Use the `addCertReqMsg(oracle.security.crypto.cmp.CertReqMsg)` or `input(java.io.InputStream)` methods to complete the object's contents.

### CertReqMessages

    public CertReqMessages(CertReqMsg crm)

  Create a new `CertReqMessages` with the specified `CertReqMsg`.

### CertReqMessages

    public CertReqMessages(java.io.InputStream is)
                    throws java.io.IOException

Method Detail

### addCertReqMsg

    public void addCertReqMsg(CertReqMsg crm)

  Add a `CertReqMsg` to this request message body.

### getCertReqMsgs

    public java.util.Vector getCertReqMsgs()

  Get the `CertReqMsg` items in this message body.

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.